[typo] r822 to r983 migration failing

Gary Shewan gpsnospam at gmail.com
Sat Apr 1 11:17:34 EST 2006


Okay the last version of trunk I was sitting on was r822.  I thought  
I'd embrace 1.1 fully and push up to r983.  Running rake migrate  
throws out these errors:

** Invoke migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute migrate
Adding display name to tags
rake aborted!
uninitialized constant ApplicationController
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:200:in  
`const_missing'
/home/*****/gpshewan.com/app/controllers/textfi/usr/local/lib/ 
site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/local/lib/site_ruby/ 
1.8/rubygems/custom_require.rb:18:i/usr/lib/ruby/gems/1.8/gems/ 
activesupport-1.2.5/lib/active_srb:214:in `require'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:39:in  
`require_or_load'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:22:in  
`depend_on'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:178:in  
`require_dependency'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:178:in  
`require_dependency'
/home/.farpoint/gpshewan/gpshewan.com/app/models/text_filter/usr/ 
local/lib/site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/local/lib/ 
site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/lib/ruby/gems/1.8/ 
gems/activesupport-1.2.5/lib/active_srb:214:in `require'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:39:in  
`require_or_load'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:22:in  
`depend_on'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:30:in  
`associate_with'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:179:in  
`require_association'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:179:in  
`require_association'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_rb:780:in  
`require_association_class'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_rb:524:in  
`belongs_to_without_reflection'
(eval):5:in `belongs_to'
/home/.farpoint/gpshewan/gpshewan.com/app/models/content.rb:/usr/ 
local/lib/site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/local/lib/ 
site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/lib/ruby/gems/1.8/ 
gems/activesupport-1.2.5/lib/active_srb:214:in `require'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:39:in  
`require_or_load'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:22:in  
`depend_on'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:178:in  
`require_dependency'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:178:in  
`require_dependency'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:194:in  
`const_missing'
/home/.farpoint/gpshewan/gpshewan.com/app/models/article.rb:/usr/ 
local/lib/site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/local/lib/ 
site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/lib/ruby/gems/1.8/ 
gems/activesupport-1.2.5/lib/active_srb:214:in `require'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:39:in  
`require_or_load'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:22:in  
`depend_on'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:30:in  
`associate_with'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:179:in  
`require_association'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:179:in  
`require_association'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_rb:780:in  
`require_association_class'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_rb:650:in  
`has_and_belongs_to_many_without_reflection'
(eval):5:in `has_and_belongs_to_many'
/home/.farpoint/gpshewan/gpshewan.com/app/models/tag.rb:2
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/ 
local/lib/site_ruby/1.8/rubygems/custom_require.rb:18:i/usr/lib/ruby/ 
gems/1.8/gems/activesupport-1.2.5/lib/active_srb:214:in `require'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:39:in  
`require_or_load'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:22:in  
`depend_on'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:178:in  
`require_dependency'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:178:in  
`require_dependency'
/usr/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_srb:194:in  
`const_missing'
./db/migrate//36_add_tag_display_name.rb:4:in `up'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_r28:in `send'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_r28:in  
`migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_r23:in `each'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_r23:in  
`migrate'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_r90:in `up'
/usr/lib/ruby/gems/1.8/gems/activerecord-1.13.2/lib/active_r81:in  
`migrate'
/usr/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/tasks/databases./usr/lib/ 
ruby/gems/1.8/gems/rails-1.0.0/lib/tasks/databases./usr/lib/ruby/gems/ 
1.8/gems/rake-0.7.0/lib/rake.rb:232:in `e/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:232:in `e/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:232:in `e/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:202:in `i/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:195:in `s/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:195:in `i/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:1719:in `/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:1719:in `/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/lib/rake.rb:1719:in `/usr/lib/ruby/gems/1.8/gems/ 
rake-0.7.0/bin/rake:7
/usr/bin/rake:18:in `load'
/usr/bin/rake:18

I'm rolling back to r822 now.  But is this something that needs a  
ticket?  Or something simpler?

Cheers

Gary


More information about the Typo-list mailing list